Oxwall Voraussetzungen

Um sicherzustellen, dass Ihre Oxwall-Installation fehlerfrei läuft, vergewissern Sie sich bitte, dass Ihr Server die folgenden Voraussetzungen erfüllt:

Betriebssysteme

  • Linux
  • Unix
  • Windows

Webserver

  • Apache 2.x+ mit:
  • mod_rewrite
  • on
  • mod_security (strict configurations)
  • off
  • nginx

Mailserver

  • Sendmail
  • Exim
  • Postfix
  • Postmaster

  • etc.

Datenbankverwaltung

  • MySQL 5.0+

PHP

  • PHP 5.5+ mit:
  • cURL
  • on
  • fopen
  • on
  • register_globals
  • off
  • safe_mode
  • off
  • suPHP
  • off
  • suApache
  • off
  • suhosin
  • off

PHP-Module

  • PDO
  • DOM
  • mbstring
  • zip
  • zlib
  • ftp
  • json
  • php_openssl

Sonstiges

  • GD Library 2 mit FreeType-Unterstützung

  • Cronjob